## org.eclipse.amp.amf.adata.impl
Class MeasurementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.amp.amf.adata.impl.MeasurementImpl

All Implemented Interfaces:
  Measurement, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class MeasurementImpl

extends org.eclipse.emf.ecore.impl.FlatEObjectImpl
implements Measurement

An implementation of the model object 'Measurement'.

The following features are implemented:

- `Type`
- `Value`
- `Name`
- `Entries`
- `Run`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<DataPoint>` `entries` The cached value of the '`Entries`' containment reference list.
`protected java.lang.String` `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected ScaleType` `type` The cached value of the '`Type`' attribute.
`protected static ScaleType` `TYPE_EDEFAULT` The default value of the '`Type`' attribute.
`protected IValue` `value` The cached value of the '`Value`' reference.

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `MeasurementImpl()`

Method Summary
`IValue` `basicGetValue()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetRun(Run newRun, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<DataPoint>` `getEntries()`
`java.lang.String` `getName()`
`Run` `getRun()`
`ScaleType` `getType()`
`IValue` `getValue()`
`void` `setName(java.lang.String newName)`
`void` `setRun(Run newRun)`
`void` `setType(ScaleType newType)`
`void` `setValue(IValue newValue)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### TYPE_EDEFAULT

    protected static final ScaleType TYPE_EDEFAULT

  The default value of the '`Type`' attribute.

  See Also:
    `getType()`

### type

    protected ScaleType type

  The cached value of the '`Type`' attribute.

  See Also:
    `getType()`

### value

    protected IValue value

  The cached value of the '`Value`' reference.

  See Also:
    `getValue()`

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### entries

    protected org.eclipse.emf.common.util.EList<DataPoint> entries

  The cached value of the '`Entries`' containment reference list.

  See Also:
    `getEntries()`

Constructor Detail

### MeasurementImpl

    protected MeasurementImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getType

    public ScaleType getType()

  Specified by:
    `getType` in interface `Measurement`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `ScaleType`, `Measurement.setType(ScaleType)`, `DataPackage.getMeasurement_Type()`

### setType

    public void setType(ScaleType newType)

  Specified by:
    `setType` in interface `Measurement`
  Parameters:
    `newType` - the new value of the 'Type' attribute.
  See Also:
    `ScaleType`, `Measurement.getType()`

### getValue

    public IValue getValue()

  Specified by:
    `getValue` in interface `Measurement`
  Returns:
    the value of the 'Value' reference.
  See Also:
    `Measurement.setValue(IValue)`, `DataPackage.getMeasurement_Value()`

### basicGetValue

    public IValue basicGetValue()

### setValue

    public void setValue(IValue newValue)

  Specified by:
    `setValue` in interface `Measurement`
  Parameters:
    `newValue` - the new value of the 'Value' reference.
  See Also:
    `Measurement.getValue()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Measurement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Measurement.setName(String)`, `DataPackage.getMeasurement_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `Measurement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `Measurement.getName()`

### getEntries

    public org.eclipse.emf.common.util.EList<DataPoint> getEntries()

  Specified by:
    `getEntries` in interface `Measurement`
  Returns:
    the value of the 'Entries' containment reference list.
  See Also:
    `DataPackage.getMeasurement_Entries()`, `DataPoint.getMeasurement()`

### getRun

    public Run getRun()

  Specified by:
    `getRun` in interface `Measurement`
  Returns:
    the value of the 'Run' container reference.
  See Also:
    `Measurement.setRun(Run)`, `DataPackage.getMeasurement_Run()`, `Run.getMeasurements()`

### basicSetRun

    public org.eclipse.emf.common.notify.NotificationChain basicSetRun(Run newRun,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setRun

    public void setRun(Run newRun)

  Specified by:
    `setRun` in interface `Measurement`
  Parameters:
    `newRun` - the new value of the 'Run' container reference.
  See Also:
    `Measurement.getRun()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`